@import "variables";

.ant-spin-nested-loading {
  height: calc(100vh - 80px);
}

aside {
  padding: 64px 0;
  min-width: 240px;

  > a {
    font-size: 0.875rem;
    line-height: 2rem;
    height: 2rem;
    margin-bottom: 32px;
  }
}

#ryax-workflow-title {
  display: flex;
  flex-direction: column;
  margin-bottom: 42px;

  div#title {
    display: flex;
    align-items: center;
    width: 100%;
  }

  div#message {
    margin-top: 8px;
    width: 100%;

    span {
      color: $red5;
    }
  }
}

h1 {
  font-weight: 900;
  font-size: 1.75rem;
  line-height: 1;
  margin: 0 16px 0 0;
}

nav {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  #ryax-wf-buttons {
    display: flex;
    gap: 8px;

  }
}


#ryax-panels {
  display: flex;
  padding: 0;
  margin: 6px 20px 20px 0;
  list-style: none;

  li {
    margin-right: 16px;
  }

  a {
    color: $grey6;
  }

  a.ryax-active {
    color: $primary5;

    &::after {
      content: '';
      display: block;
      height: 2px;
      width: 100%;
      background: $primary5;
      margin-top: 6px;
    }
  }
}

nz-card {
  border-radius: 4px;
  margin-bottom: 1rem;

  &:first-of-type {
    margin-top: 52px;
  }

  h2 {
    font-weight: 800;
  }

  div {
    display: flex;
    align-items: baseline;

    h2, p {
      margin-right: 8px;
      margin-bottom: 0;
    }

    p {
      color: $grey5;
    }

    #ryax-refresh {
      font-size: 1rem;
      margin-left: auto;
      margin-right: 8px;
    }

    a {
      color: $primary2;
    }
  }

  p:last-child {
    margin: 0;
  }
}

#ryax-results {
  span {
    color: $grey9;
    margin-right: 8px;
    margin-bottom: 0;
  }

  p {
    color: $grey5;
  }
}
